org.bdgenomics.adam.sql

# VariantCallingAnnotations

###
Related Docs: object VariantCallingAnnotations | package sql

#### class VariantCallingAnnotations extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantCallingAnnotations
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantCallingAnnotations(filtersApplied: Option[Boolean], filtersPassed: Option[Boolean], filtersFailed: Seq[String], downsampled: Option[Boolean], baseQRankSum: Option[Float], fisherStrandBiasPValue: Option[Float], rmsMapQ: Option[Float], mapq0Reads: Option[Int], mqRankSum: Option[Float], readPositionRankSum: Option[Float], genotypePriors: Seq[Float], genotypePosteriors: Seq[Float], vqslod: Option[Float], culprit: Option[String], attributes: Map[String, String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val attributes: Map[String, String]

6. #### val baseQRankSum: Option[Float]

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     VariantCallingAnnotations → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val culprit: Option[String]

10. #### val downsampled: Option[Boolean]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val filtersApplied: Option[Boolean]

14. #### val filtersFailed: Seq[String]

15. #### val filtersPassed: Option[Boolean]

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### val fisherStrandBiasPValue: Option[Float]

18. #### val genotypePosteriors: Seq[Float]

19. #### val genotypePriors: Seq[Float]

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val mapq0Reads: Option[Int]

24. #### val mqRankSum: Option[Float]

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def productArity: Int

    Definition Classes
      VariantCallingAnnotations → Product

29. #### def productElement(i: Int): Any

    Definition Classes
      VariantCallingAnnotations → Product

30. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

31. #### def productPrefix: String

    Definition Classes
      Product

32. #### val readPositionRankSum: Option[Float]

33. #### val rmsMapQ: Option[Float]

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toAvro: formats.avro.VariantCallingAnnotations

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### val vqslod: Option[Float]

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped